CVE-2005-0105
CVSS4.6
发布时间 :2005-02-16 00:00:00
修订时间 :2008-09-05 16:45:20
NMCOPS    

[原文]Unknown vulnerability in typespeed 0.4.1 and earlier allows local users to gain privileges.


[CNNVD]Typespeed本地格式化字符串漏洞(CNNVD-200502-062)

        Typespeed 是一款打字游戏。
        typespeed 0.4.1及更早版本中的未知漏洞可让本地用户获得特权。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0105
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0105
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200502-062
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2005/dsa-684
(VENDOR_ADVISORY)  DEBIAN  DSA-684

- 漏洞信息

Typespeed本地格式化字符串漏洞
中危 输入验证
2005-02-16 00:00:00 2006-09-22 00:00:00
本地  
        Typespeed 是一款打字游戏。
        typespeed 0.4.1及更早版本中的未知漏洞可让本地用户获得特权。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Typespeed Typespeed 0.4.1
        Debian typespeed_0.4.1-2.3_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_alpha.deb
        Debian typespeed_0.4.1-2.3_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_arm.deb
        Debian typespeed_0.4.1-2.3_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_hppa.deb
        Debian typespeed_0.4.1-2.3_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_i386.deb
        Debian typespeed_0.4.1-2.3_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_ia64.deb
        Debian typespeed_0.4.1-2.3_m68k.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_m68k.deb
        Debian typespeed_0.4.1-2.3_mips.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_mips.deb
        Debian typespeed_0.4.1-2.3_mipsel.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_mipsel.deb
        Debian typespeed_0.4.1-2.3_powerpc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_powerpc.deb
        Debian typespeed_0.4.1-2.3_s390.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_s390.deb
        Debian typespeed_0.4.1-2.3_sparc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.3_sparc.deb
        

- 漏洞信息 (F36200)

dsa-684.txt (PacketStormID:F36200)
2005-02-25 00:00:00
 
advisory,arbitrary,local
linux,debian
CVE-2005-0105
[点击下载]

Debian Security Advisory 684-1 - The Debian Security Audit Project discovered a problem in typespeed, a touch-typist trainer disguised as game. This could lead to a local attacker executing arbitrary code as group games.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 684-1                     security@debian.org
http://www.debian.org/security/                             Martin Schulze
February 16th, 2005                     http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : typespeed
Vulnerability  : format string
Problem-Type   : local
Debian-specific: no
CVE ID         : CAN-2005-0105

Ulf H    

- 漏洞信息

13902
Typespeed HOME Environment Variable Local Format String
Local / Remote, Context Dependent Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-02-16 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Typespeed Local Format String Vulnerability
Input Validation Error 12569
No Yes
2005-02-16 12:00:00 2009-07-12 10:06:00
Discovered by Ulf Härnhammar.

- 受影响的程序版本

Typespeed Typespeed 0.4.1
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0

- 漏洞讨论

typespeed is prone to a local format string vulnerability. Successful could allow privilege escalation.

- 漏洞利用

The following proof of concept is available:

- 解决方案

Debian has released an advisory (DSA 684-1) and fixes to address this issue. Please see the referenced advisory for links to fixed packages.


Typespeed Typespeed 0.4.1

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站